﻿#-------------------------------------------------------------------------------
# Name:        RINEXcombine
# Purpose:  国土地理院が発行するRINEXファイルの結合を行う
#           同じディレクトリ内にあるRINEXファイルをファイル名の順で読み込んで次々と結合します。
#           基本的には、同じ電子基準点で時系列にファイル名が作出されていることを期待したソースコードとなっています。
#
#           電子基準点の即日解析用に使用することを想定しました。
#           いくつかのstatic解析とkinematic解析を実施し、1日分なら後日リリースされるRINEXと同じ結果を出力可能であることを確認済みです。
#
# Author:      Katsuhiro Morishita
#
# Created:     02/02/2012
# Copyright:   (c) morishita 2012
# Licence:     new BSD
#-------------------------------------------------------------------------------
#!/usr/bin/env python
import os
import RINEXm

def main():
    print("Program start...")
    print("This program combine some RINEX files.\n")
    filelist = os.listdir(os.getcwd())              # ファイル一覧を取得
    print("File list: {0}".format(filelist))        # ファイル一覧を表示
    _rinex = RINEXm.RINEX()
    for file in filelist:
        if RINEXm.isRINEX(file):                    # RINEXファイルかどうかチェックする
            print("now target: " + file)
            _rinex.join(file)                       # 追加する（実行が時系列に行われることが前提）
    _rinex.save("combined.txt")
    print("\nThe combined text was created.")
    print("Program fin.")

if __name__ == '__main__':
    main()
